aboutsummaryrefslogtreecommitdiff
path: root/test-env
diff options
context:
space:
mode:
authorChristopher Baines <mail@cbaines.net>2019-04-14 10:08:11 +0100
committerChristopher Baines <mail@cbaines.net>2019-04-14 10:08:11 +0100
commitef4fd5ab4fee64639dcd18ead2a82aa2235661fd (patch)
tree0715f16144a8eadd915d9d17efa4e273afd8ac75 /test-env
parentd69f77d59eefc1ca577d6df0cfe6d8cd46742b82 (diff)
downloaddata-service-ef4fd5ab4fee64639dcd18ead2a82aa2235661fd.tar
data-service-ef4fd5ab4fee64639dcd18ead2a82aa2235661fd.tar.gz
Add an initial test
Along with the buildsystem changes to make `make check` work.
Diffstat (limited to 'test-env')
-rwxr-xr-xtest-env23
1 files changed, 23 insertions, 0 deletions
diff --git a/test-env b/test-env
new file mode 100755
index 0000000..acb0925
--- /dev/null
+++ b/test-env
@@ -0,0 +1,23 @@
+#!/bin/sh
+
+# Guix Data Service -- Information about Guix over time
+# Copyright © 2019 Christopher Baines <mail@cbaines.net>
+#
+# This program is free software: you can redistribute it and/or
+# modify it under the terms of the GNU Affero General Public License
+# as published by the Free Software Foundation, either version 3 of
+# the License, or (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
+# Affero General Public License for more details.
+#
+# You should have received a copy of the GNU Affero General Public
+# License along with this program. If not, see
+# <http://www.gnu.org/licenses/>.
+
+export GUIX_DATA_SERVICE_DATABASE_PARAMSTRING=${GUIX_DATA_SERVICE_DATABASE_PARAMSTRING:-'dbname=guix_data_service_test user=guix_data_service'}
+
+"/home/chris/Projects/Guix/guix-data-service/pre-inst-env" "$@"
+exit $?